const dbPublicacoes = _db.query(`
    SELECT
        SUBSTRING(publicacao.momento FROM 1 FOR 10) as dia,
        comunidade.nome,
        COUNT(publicacao.id) as total
    FROM publicacao
        INNER JOIN comunidade ON publicacao.comunidade_id = comunidade.id
    GROUP BY dia, nome
    ORDER BY dia, nome
`)

const dados = _val.list()
for (const dbPublicacao of dbPublicacoes) {
    dados.add(
        _val.map()
            .set("dia", dbPublicacao.getString("dia"))
            .set("comunidade", dbPublicacao.getString("nome"))
            .set("total", dbPublicacao.getInt("total"))
    )
}

_out.json(
    dados
)